Exiv2::OrfParser Class Reference

Stateless parser class for data in ORF format. Images use this class to decode and encode ORF data. See class TiffParser for details. More...

`#include <orfimage.hpp>`

## Static Public Member Functions

static ByteOrder | decode (ExifData &exifData, IptcData &iptcData, XmpData &xmpData, const byte *pData, uint32_t size)
| Decode metadata from a buffer pData of length size with data in ORF format to the provided metadata containers. See TiffParser::decode().
static WriteMethod | encode (BasicIo &io, const byte *pData, uint32_t size, ByteOrder byteOrder, const ExifData &exifData, const IptcData &iptcData, const XmpData &xmpData)
| Encode metadata from the provided metadata to ORF format. See TiffParser::encode().

## Detailed Description

Stateless parser class for data in ORF format. Images use this class to decode and encode ORF data. See class TiffParser for details.

The documentation for this class was generated from the following files:

- orfimage.hpp
- orfimage.cpp